{% extends 'blog/base.html' %}

{% block title %}
Sign In
{% endblock %}

{% block content %}
{% if user.is_authenticated %}
<h1 style="text-align: center;">U already logged in</h1>
{% else %}
<h1 style="text-align: center;">Enter to u'r cabinet</h1>
<form id="login_form" action="{% url 'login' %}" method="POST">
    {% csrf_token %}
    <!-- <input type="text" class="form-control"> -->
    <p>
        {{form.username.label_tag}}
        {{form.username}}
    </p>
    <p>
        {{form.password.label_tag}}
        {{form.password}}
    </p>
    <button class="btn btn-warning">
        Sign In
    </button>
    {% if form.errors %}
        <p>Invalid name or password, try to reestablish</p>
        <p><a href="{% url 'password_reset' %}">Reestablish the password</a></p>
    {% endif %}
</form>
{% endif %}
{% endblock %}